This page describes booting the ViewStation using the
BOOTP network service.
BOOTP is a network service program
(refer to RFC 951, RFC 1048, and RFC 1084 for specific details) running
on your host computer that listens for startup or boot requests. When it
receives a boot request, it looks in the bootp table (a file called
/etc/bootptab) for information about the machine making the request.
The fields in this file have an abbreviation for the entry
name (such as ha for hardware address, and ip for IP address, etc.) and
an associated value. These values are sent with the bootp response and
received by the ViewStation to start its boot process. Check the
syntax for these files on your particular system.
:ha= hardware address example: :ha=008096006a5c:\ :ip= IP address example: :ip=128.91.6.15:\ :hd= home directory example: :hd=/home/hdssun6/boot:\ :bf= bootfile < filename (limited to 128 chars) > example: :bf=V30-D.hds:\ :gw= gateway address example: :gw=128.91.2.5:\ :sm= subnet mask example: :sm=255.255.0.0:\ :ds= domain nameserver (entry is one or two addresses separated by a space) example: :ds=128.91.3.12 128.91.3.1:\ more than two entries are ignored; if only one is used, secondary is zero :hn host (ViewStation) name (no entry; host does name lookup from :ip) :T128= (vendor tag) configuration password example: :T128="ApollO":\ :T129= (vendor tag) configuration filename example: :T129="config.fx":\ :T130= (vendor tag) configuration directory example: :T130="/home/hds-fx/config":\
BOOTP may be
used to load the configuration file (containing Setup Mode values) or
load only the ViewStation boot file (containing the server code) or
both. Do not confuse these functions.
These entries and values, along with any other BOOTP fields
your system may use, are retrieved from the bootp table and sent to the
ViewStation in the bootp response. The configuration path and filename
are also sent if the vendor tag fields are set. This configuration
file contains individual resources and values for Setup Mode fields,
which are given in detail in a later section.
When you turn on the ViewStation, it sends the BOOTP request
automatically. BOOTP then sets the IP address for the ViewStation and
loads the software file. You have a root window with the Setup icon in
the lower right corner.
BOOTP
Troubleshooting
This section gives some suggestions for
troubleshooting BOOTP problems.
Setting
Up BOOTP on your Host Computer
This page gives some suggestions
for setting up BOOTP network services on your host computer.
Sample /etc/bootptab File Entries
This page gives some sample
file entries for your bootptab file.
Return to Section Heading Page
Return to the Home Page
If you need more information than is available here, you can reach
HDS via email at info@hds.com, or
call us at 1.800.HDS.1551 in the USA, or at +610.277.8300 from outside
the US. For questions or problems regarding the HDS WWW page, contact
webmaster@hds.com.
© 1996 by HDS Network Systems
Inc.